2011l available

Bug #876090 reported by Gary Lasker on 2011-10-16
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
High
Gary Lasker
Hardy
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

There is a new tzdata version 2011l:

    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th

Gary Lasker (gary-lasker) wrote :
description: updated
Gary Lasker (gary-lasker) wrote :

Test case for Fiji adopting DST in October of 2011, timezone for the test is "Pacific/Fiji":

Incorrect result with 2011k showing no transition for Fiji in October of 2011:

# zdump -v Pacific/Fiji | grep 2011
Pacific/Fiji Sat Mar 5 13:59:59 2011 UTC = Sun Mar 6 02:59:59 2011 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Mar 5 14:00:00 2011 UTC = Sun Mar 6 02:00:00 2011 FJT isdst=0 gmtoff=43200

Result with 2011l showing the correct transition on Oct 23rd of 2011:

# zdump -v Pacific/Fiji | grep 2011
Pacific/Fiji Sat Mar 5 13:59:59 2011 UTC = Sun Mar 6 02:59:59 2011 FJST isdst=1 gmtoff=46800
Pacific/Fiji Sat Mar 5 14:00:00 2011 UTC = Sun Mar 6 02:00:00 2011 FJT isdst=0 gmtoff=43200
Pacific/Fiji Sat Oct 22 13:59:59 2011 UTC = Sun Oct 23 01:59:59 2011 FJT isdst=0 gmtoff=43200
Pacific/Fiji Sat Oct 22 14:00:00 2011 UTC = Sun Oct 23 03:00:00 2011 FJST isdst=1 gmtoff=46800

Changed in tzdata (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Gary Lasker (gary-lasker)

The attachment "2011k-2011l.diff" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Gary Lasker (gary-lasker) wrote :

I've prepared the updates for 2011l for Hardy, Lucid, Maverick, Natty and Oneiric and uploaded them to the following locations:

  http://people.canonical.com/~tremolux/tzdata_2011l_hardy/
  http://people.canonical.com/~tremolux/tzdata_2011l_lucid/
  http://people.canonical.com/~tremolux/tzdata_2011l_maverick/
  http://people.canonical.com/~tremolux/tzdata_2011l_natty/
  http://people.canonical.com/~tremolux/tzdata_2011l_oneiric/

For Precise we can just have a sync of 2011l-1 from debian.

Thank you very much for sponsoring these and I will test them as soon as they are available in -proposed.

Martin Pitt (pitti) wrote :

2011l-2 synced into precise.

Changed in tzdata (Ubuntu):
status: In Progress → Fix Released

Hello Gary, or anyone else affected,

Accepted tzdata into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Oneiric):
status: New → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Natty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted tzdata into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Lucid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted tzdata into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Maverick):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted tzdata into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Rolf Leggewie (r0lf) wrote :

verification successfully done for lucid

tags: added: verification-done
removed: verification-needed
Gary Lasker (gary-lasker) wrote :

Hello Rolf, thank you for verifying the lucid update! Your help is very much appreciated.

I will verify the other updates in chroots and report my results in a little while.

Thanks again!

Gary Lasker (gary-lasker) wrote :

Hi Martin,

Rolf has verified lucid above, and I have verified the updates in -proposed per the supplied test case for all of the following:

  hardy
  lucid
  maverick
  natty
  oneiric

Thank you as always!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011l~repack-0ubuntu0.8.04

---------------
tzdata (2011l~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2011l: (LP: #876090)
    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th
 -- Gary Lasker <email address hidden> Mon, 17 Oct 2011 16:52:28 -0400

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011l-0ubuntu0.10.04

---------------
tzdata (2011l-0ubuntu0.10.04) lucid-proposed; urgency=low

  * New upstream release 2011l: (LP: #876090)
    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th
 -- Gary Lasker <email address hidden> Mon, 17 Oct 2011 16:41:19 -0400

Changed in tzdata (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011l-0ubuntu0.10.10

---------------
tzdata (2011l-0ubuntu0.10.10) maverick-proposed; urgency=low

  * New upstream release 2011l: (LP: #876090)
    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th
 -- Gary Lasker <email address hidden> Mon, 17 Oct 2011 16:29:26 -0400

Changed in tzdata (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011l-0ubuntu0.11.04

---------------
tzdata (2011l-0ubuntu0.11.04) natty-proposed; urgency=low

  * New upstream release 2011l: (LP: #876090)
    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th
 -- Gary Lasker <email address hidden> Sun, 16 Oct 2011 20:02:22 -0400

Changed in tzdata (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2011l-0ubuntu0.11.10

---------------
tzdata (2011l-0ubuntu0.11.10) oneiric-proposed; urgency=low

  * New upstream release 2011l: (LP: #876090)
    - Fiji adopts DST for 2011 (effective Oct 23rd, 2011)
    - West Bank changes date for DST end in 2011 to Sep 30th
  * debian/control: update maintainer fields
 -- Gary Lasker <email address hidden> Mon, 17 Oct 2011 16:01:07 -0400

Changed in tzdata (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers